#define XML_TYPE	"dipole_array"
#define	XML_DIPOLE	"dipole"

enum {	PLOT_SCALE_LIN,
	PLOT_SCALE_LOGV,
	PLOT_SCALE_LOGP,
	PLOT_SCALE_ARRL
};

enum {  VIEW_GRAPH,
        VIEW_3D_LINE,
	VIEW_3D_FILL,
	VIEW_ANAGLYPH,
	VIEW_XY,
	VIEW_YZ,
	VIEW_ZX
};

typedef struct {
  int	plot_scale;
  int   plot_view;
  char  *loaded_file;
} preferences;

extern preferences pref;

void		save_design(void);
gboolean	design_loaded(void);
void		initialize_options(void);
void		set_view(int view);
void		set_view_dir(int dir);
