#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "pref.h"
#include "gui.h"
#include "plot.h"


void
on_new1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  new1_activate();
}


void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  open1_activate();
}


void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  save1_activate();
}


void
on_save_as1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  save_as1_activate();
}


void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  quit1_activate();
}


void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  cut1_activate();
}


void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  copy1_activate();
}


void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  paste1_activate();
}


void
on_delete1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  delete1_activate();
}


void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  about1_activate();
}


gboolean
on_MainWindow_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  return MainWindow_delete_event();
}


void
on_MainWindow_realize                  (GtkWidget       *widget,
                                        gpointer         user_data)
{
  MainWindow_realize();
}


void
on_xy_plane1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  xy_plane1_activate();
}


void
on_xz_plane1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  zx_plane1_activate();
}


void
on_yz_plane1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  yz_plane1_activate();
}


void
on_3d_view1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  threed_view1_activate();
}


void
on_stereo_view1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  stereo_view1_activate();
}


gboolean
on_xy_darea_expose_event               (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  return xy_darea_expose_event(widget, event);
}


gboolean
on_xz_darea_expose_event               (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  return xz_darea_expose_event(widget, event);
}


gboolean
on_yz_darea_expose_event               (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  return yz_darea_expose_event(widget, event);
}


void
on_linear_scale1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  linear_scale1_activate();
}


void
on_logv_scale1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  logv_scale1_activate();
}


void
on_logp_scale1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  logp_scale1_activate();
}


void
on_arrl_scale1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  arrl_scale1_activate();
}


gboolean
on_plot_notebook_button_press_event    (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data)
{
  return plot_notebook_button_press_event(event);
}


void
on_linear1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  
}


void
on_log_v_1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_log_p_1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_arrl1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_main_scale_arrl_btn_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
  main_scale_btn_clicked(PLOT_SCALE_ARRL);
}


void
on_main_scale_logp_btn_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
  main_scale_btn_clicked(PLOT_SCALE_LOGP);
}


void
on_main_scale_logv_btn_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
  main_scale_btn_clicked(PLOT_SCALE_LOGV);
}


void
on_main_scale_lin_btn_clicked          (GtkButton       *button,
                                        gpointer         user_data)
{
  main_scale_btn_clicked(PLOT_SCALE_LIN);
}


void
on_mark_as_last1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  mark_as_last1_activate(user_data);
}


void
on_edit_dipole1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  edit_dipole1_activate();
}


void
on_delete_dipole1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  delete_dipole1_activate();
}

void
on_add_element1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  add_dipole1_activate();
}


void
on_edit_dip_polar_rbtn_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
  edit_dip_polar_rbtn_toggled(togglebutton);
}

void
on_xy1_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  xy1_activate();
}


void
on_yz1_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  yz1_activate();
}


void
on_xz1_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  zx1_activate();
}


void
on_threed_viewport_realize             (GtkWidget       *widget,
                                        gpointer         user_data)
{
  threed_viewport_realize(widget);
}


void
on_stereo_viewport_realize             (GtkWidget       *widget,
                                        gpointer         user_data)
{
  stereo_viewport_realize(widget);
}


gboolean
on_MainWindow_window_state_event       (GtkWidget       *widget,
                                        GdkEventWindowState *event,
                                        gpointer         user_data)
{
  return MainWindow_window_state_event(event);
}


void
on_scale_linear_btn_clicked            (GtkButton       *button,
                                        gpointer         user_data)
{
  scale_linear_btn_clicked();
}


void
on_scale_logv_btn_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{
  scale_logv_btn_clicked();
}


void
on_scale_logp_btn_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{
  scale_logp_btn_clicked();
}


void
on_scale_ARRL_btn_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{
  scale_ARRL_btn_clicked();
}


void
on_el_list_remove_btn_clicked          (GtkButton       *button,
                                        gpointer         user_data)
{
  el_list_remove_btn_clicked(button);
}


void
on_el_list_add_btn_clicked             (GtkButton       *button,
                                        gpointer         user_data)
{
  el_list_add_btn_clicked(button);
}


void
on_el_list_edit_btn_clicked            (GtkButton       *button,
                                        gpointer         user_data)
{
  el_list_edit_btn_clicked(button);
}


void
on_el_list_move_up_btn_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
  el_list_move_up_btn_clicked(button);
}


void
on_el_list_move_down_btn_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
  el_list_move_down_btn_clicked(button);
}


void
on_el_list_mark_last_btn_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
  el_list_mark_last_btn_clicked(button);
}


void
on_fullscreen1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  fullscreen1_activate(menuitem);
}

